<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\BaseModel;

class UserEvent extends BaseModel
{
    use HasFactory;

    protected $table = 'user_event';

    public function user(){
        return $this->hasOne(User::class, 'id', 'performer_user_id');
    }
    public function createdByUser(){
        return $this->hasOne(User::class, 'id', 'created_by_user_id');
    }
}
